$('document').ready(function()
{  
	 // valid email pattern
	 var eregex = /^([a-zA-Z0-9_\.\-\+])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
	 
	 $.validator.addMethod("validemail", function( value, element ) {
	     return this.optional( element ) || eregex.test( value );
	 });


     /* validation */
	 $("#login-form").validate({
      rules:
	  {		
	  		email: {
	            required: true,
	            validemail: true,
            },
			password: {
				required: true,
			},
			
	   },
       messages:
	   {
	   		email : {
				required : "Email is required",
				validemail : "Please enter valid email address",
			},
            password: {
                required: "Password is required"
            },
       },
       errorPlacement : function(error, element) {
		  $(element).closest('.form-group').find('.help-block').html(error.html());
	   },
	   highlight : function(element) {
		  $(element).closest('.form-group').removeClass('has-success').addClass('has-error');
	   },
	   unhighlight: function(element, errorClass, validClass) {
		  $(element).closest('.form-group').removeClass('has-error');
		  $(element).closest('.form-group').find('.help-block').html('');
	   },
	   		submitHandler: submitForm	
       });  
	   /* validation */
	   
	   /* login submit */
	   function submitForm()
	   {		
			var data = $("#login-form").serialize();
				
			$.ajax({	
				type : 'POST',
				url  : 'ajax-login.php',
				data : data,
				beforeSend: function()
				{	
					$("#errorDiv").fadeOut();
					$("#btn-login").html('<img src="images/loader.gif" /> &nbsp; Signing In...').prop('disabled', true);
				},
				success :  function(response)
				{						
					if(response=="ok"){						
						$("#btn-login").html('<img src="images/loader.gif" /> &nbsp; Signing In...').prop('disabled', true);
						window.setTimeout( function(){
                             window.location = "account/index.php";
                        }, 1000);
					} else {
						$("#errorDiv").fadeIn(1000, function(){						
							$("#errorDiv").html('<div class="callout callout-danger"> <strong><i class="fa fa-info-circle"></i></strong> &nbsp; '+response+'</div>');
							$("#btn-login").html('<i class="fa fa-sign-in"></i> &nbsp; Sign In').prop('disabled', false);
						});
					}
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) { 
					$("#login-form").trigger('reset');
			        alert("An unknown error occoured: " + textStatus); alert("Error: " + errorThrown); 
			    }
			});
		}
});